## intel-microcode 3.20250812.0ubuntu0.22.04.1

=== Makefile ===
PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL ?= iucode_tool
IUC_FLAGS := -v
IUC_FINAL_FLAGS := -vv

# CUTDATE RANGE:
#
# This filter selects what we consider to be old microcode which
# should still be shipped even if Intel dropped them.  Note that
# it is useless to ship microcodes for anything the distro doesn't
# really support anymore
#
# Watch out: check in the changelog, if this filter will add
# microcodes that look like they've been recalled, use
# IUC_OLDIES_EXCLUDE to avoid shipping the probably recalled
# microcode.  Refer to IUC_EXCLUDE for IUC_OLDIES_EXCLUDE syntax.
#
# Last manual check: up to 2008-01-01
IUC_OLDIES_SELECT  := "--date-before=2008-01-01"
IUC_OLDIES_EXCLUDE :=

# EXCLUDING MICROCODES:
#
# Always document reason.  See iucode_tool(8) for -s !<sig> syntax
# Recalls might require use of .fw overrides to retain old version,
# instead of exclusions.  Exclusions have the highest priority, and
# will remove microcode added by any other means, including override
# files (.fw files).
IUC_EXCLUDE :=

# 0x106c0: alpha hardware, seen in a very very old microcode data file
# 0x50656, 0xc06f1: QS steppings, removed by upstream 20250512
IUC_EXCLUDE += -s !0x106c0 -s !0x50656 -s !0xc06f1

# INCLUDING MICROCODES:
#
# This should be used to add a microcode from any of the regular
# microcode bundles, without the need for an override file.  See
# iucode_tool(8) for -s <sig> syntax.  Always document the reason,
# as per IUC_EXCLUDE.
IUC_INCLUDE :=

# Keep sorting order predictable or things will break
export LC_COLLATE=C

MICROCODE_REG_DBIN    := $(patsubst microcode-%.d/,microcode-%.dbin,$(wildcard microcode-*.d/))
MICROCODE_REG_SOURCES := $(sort $(wildcard microcode-*.dat microcode-*.bin) $(MICROCODE_REG_DBIN))
MICROCODE_SUP_SOURCES := $(wildcard supplementary-ucode-*.bin supplementary-ucode-*.d/)
MICROCODE_OVERRIDES   := $(wildcard *.fw)

MICROCODE_FINAL_REG_SOURCES :=
ifneq ($(IUC_OLDIES_SELECT),)
	MICROCODE_FINAL_REG_SOURCES += microcode-oldies.pbin
endif
ifneq ($(IUC_INCLUDE),)
	MICROCODE_FINAL_REG_SOURCES += microcode-includes.pbin
endif
MICROCODE_FINAL_REG_SOURCES += $(lastword $(MICROCODE_REG_SOURCES))

ifneq ($(MICROCODE_SUP_SOURCES),)
MICROCODE_FINAL_SOURCES := microcode-aux.pbin
else
MICROCODE_FINAL_SOURCES := $(MICROCODE_FINAL_REG_SOURCES)
endif
ifneq ($(MICROCODE_OVERRIDES),)
	MICROCODE_FINAL_SOURCES += microcode-overrides.pbin
endif

all: intel-microcode.bin intel-microcode-64.bin

# When processing a directory that contains a single upstream
# microcode release (split over many binary microcode files), we need
# to group it into a single (temporary) bundle for downgrade mode to
# work as expected.  Using iucode_tool (in the default --no-downgrade
# mode) to generate the temporary bundle ensures reproducibility,
# since it will sort out any conflicts in a predictable way.

microcode-%.dbin: microcode-%.d/
	@echo
	@echo Preprocessing microcode directory $^ into $@...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# When looking for "old" microcodes that we should ship even if they
# are not in the latest regular microcode bundle anymore, we use a
# date filter to select *signatures* of microcodes that should be
# included (instead of directly selecting the microcode itself).
#
# Then, the "latest" microcode (in source file order, due to the use
# of downgrade mode) for each such signatures will be selected,
# regardless of the date on the microcode itself.

microcode-oldies.pbin: $(MICROCODE_REG_SOURCES)
	@echo
	@echo Preprocessing older regular microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) \
		$(IUC_OLDIES_SELECT) $(IUC_OLDIES_EXCLUDE) \
		--loose-date-filtering --downgrade --overwrite -w "$@" $^

microcode-includes.pbin: $(MICROCODE_REG_SOURCES)
	@echo
	@echo Preprocessing force-included regular microcode...
	@$(IUCODE_TOOL) $(IUC_FLAGS) -s! $(IUC_INCLUDE) \
		--downgrade --overwrite -w "$@" $^

# When there are supplementary microcode bundles, they must be merged
# with the regular microcode in a separate step, since all such
# microcodes must have the same precedence.  We use two intermediate
# bundles for this.
#
# The oldies and force-included microcodes are bundled together with
# the latest regular microcode bundle in microcode-regular.pbin.  The
# precedence order for downgrading is:
#
#     oldies < includes < latest regular microcode bundle
#
# The precedence order won't matter for oldies and includes, as they
# either have different microcode, or microcode with the same
# revision.
#
# Then, microcode-regular.pbin is merged with all supplementary
# microcode bundles, with the downgrade logic disabled in the
# microcode-aux.pbin target.  The result will be used by the final
# target.
#
# When there are no supplementary microcode updates, we can do all the
# merging with the downgrade logic active in a single go in the final
# target.

microcode-regular.pbin: $(MICROCODE_FINAL_REG_SOURCES)
	@echo
	@echo Building microcode bundle for regular microcode...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) --downgrade --overwrite -w "$@" $^

microcode-aux.pbin: microcode-regular.pbin $(MICROCODE_SUP_SOURCES)
	@echo
	@echo Merging regular and supplementary microcode bundles...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) --overwrite -w "$@" $^

# The microcode overrides are bundled together to sort out any
# duplication and revision level issues.
microcode-overrides.pbin: $(MICROCODE_OVERRIDES)
	@echo
	@echo Preprocessing microcode overrides...
	@$(IUCODE_TOOL) $(IUC_FLAGS) --overwrite -w "$@" $^

# Final target
intel-microcode.bin: $(MICROCODE_FINAL_SOURCES)
	@echo
	@echo Building final microcode bundle...
	@$(IUCODE_TOOL) $(IUC_FINAL_FLAGS) $(IUC_EXCLUDE) \
		--downgrade --overwrite -w "$@" $^

intel-microcode-64.bin: intel-microcode.bin
	@echo
	@echo Building stripped-down microcode bundle for x86-64 and x32...
	@$(IUCODE_TOOL) $(IUC_FLAGS) \
		$(shell sed -n -r -e '/^i.86/ { s/^[^ ]+ +/-s !/;s/ +\#.*//;p}' cpu-signatures.txt) $(IUC_EXCLUDE) \
		--overwrite -w "$@" $^

# Aux. targets for packaging: make FWDIR=${PREFIX}/lib/firmware intel-ucode-fw/fw64
intel-ucode-fw: intel-microcode.bin
	@test -d "$(FWDIR)" && \
		$(IUCODE_TOOL) $(IUC_EXCLUDE) --overwrite --write-firmware="$(FWDIR)" $^

intel-ucode-fw64: intel-microcode-64.bin
	@test -d "$(FWDIR)" && \
		$(IUCODE_TOOL) $(IUC_EXCLUDE) --overwrite --write-firmware="$(FWDIR)" $^

.PHONY: intel-ucode-fw intel-ucode-fw64

distclean: clean
clean:
	rm -f intel-microcode-64.bin intel-microcode.bin
	rm -f microcode-overrides.pbin microcode-oldies.pbin microcode-includes.pbin microcode-regular.pbin microcode-aux.pbin
	rm -f microcode-*.dbin

.PHONY: clean

=== debian/changelog ===
intel-microcode (3.20250812.0ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20250812
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
      sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
      sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
      sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
      sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
      sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
      sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
      sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    - CVE-2025-20109 (INTEL-SA-01249)
    - CVE-2025-22840 (INTEL-SA-01308)
    - CVE-2025-22839 (INTEL-SA-01310)
    - CVE-2025-22889 (INTEL-SA-01311)
    - CVE-2025-21090 (INTEL-SA-01313)
    - CVE-2025-20053 (INTEL-SA-01313)
    - CVE-2025-24305 (INTEL-SA-01313)
    - CVE-2025-26403 (INTEL-SA-01367)
    - CVE-2025-32086 (INTEL-SA-01367)
  * source: update symlinks to reflect id of the latest release, 20250812

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 28 Oct 2025 17:27:29 -0300

## intel-microcode 3.20250812.0ubuntu0.24.04.1

=== debian/changelog ===
intel-microcode (3.20250812.0ubuntu0.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20250812
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
      sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
      sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
      sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
      sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
      sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
      sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
      sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    - CVE-2025-20109 (INTEL-SA-01249)
    - CVE-2025-22840 (INTEL-SA-01308)
    - CVE-2025-22839 (INTEL-SA-01310)
    - CVE-2025-22889 (INTEL-SA-01311)
    - CVE-2025-21090 (INTEL-SA-01313)
    - CVE-2025-20053 (INTEL-SA-01313)
    - CVE-2025-24305 (INTEL-SA-01313)
    - CVE-2025-26403 (INTEL-SA-01367)
    - CVE-2025-32086 (INTEL-SA-01367) 

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 28 Oct 2025 15:28:49 -0300

=== debian/control ===
Source: intel-microcode
Section: non-free-firmware/admin
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Uploaders: Giacomo Catenazzi <cate@debian.org>
Build-Depends: debhelper (>= 9), iucode-tool (>= 0.9)
Standards-Version: 4.1.1
Homepage: https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files
Vcs-Git: https://salsa.debian.org/hmh/intel-microcode.git
Vcs-Browser: https://salsa.debian.org/hmh/intel-microcode
XS-Autobuild: yes

Package: intel-microcode
Architecture: i386 amd64 x32
Depends: ${misc:Depends}, iucode-tool (>= 1.0)
Recommends: initramfs-tools (>= 0.113~)
Conflicts: microcode.ctl (<< 0.18~0)
Description: Processor microcode firmware for Intel CPUs
 This package contains updated system processor microcode for
 Intel i686 and Intel X86-64 processors.  Intel releases microcode
 updates to correct processor behavior as documented in the
 respective processor specification updates.
 .
 For AMD processors, please refer to the amd64-microcode package.

## intel-microcode 3.20250812.0ubuntu0.25.04.1

=== debian/changelog ===
intel-microcode (3.20250812.0ubuntu0.25.04.1) plucky-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20280812
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
      sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
      sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
      sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
      sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
      sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
      sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
      sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    - CVE-2025-20109 (INTEL-SA-01249)
    - CVE-2025-22840 (INTEL-SA-01308)
    - CVE-2025-22839 (INTEL-SA-01310)
    - CVE-2025-22889 (INTEL-SA-01311)
    - CVE-2025-21090 (INTEL-SA-01313)
    - CVE-2025-20053 (INTEL-SA-01313)
    - CVE-2025-24305 (INTEL-SA-01313)
    - CVE-2025-26403 (INTEL-SA-01367)
    - CVE-2025-32086 (INTEL-SA-01367)

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Mon, 20 Oct 2025 11:32:48 -0300

## intel-microcode 3.20250812.0ubuntu0.25.10.1

=== debian/changelog ===
intel-microcode (3.20250812.0ubuntu0.25.10.1) questing-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20250812
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
      sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
      sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
      sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
      sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
      sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
      sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
      sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
      sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
      sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
      sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    - CVE-2025-20109 (INTEL-SA-01249)
    - CVE-2025-22840 (INTEL-SA-01308)
    - CVE-2025-22839 (INTEL-SA-01310)
    - CVE-2025-22889 (INTEL-SA-01311)
    - CVE-2025-21090 (INTEL-SA-01313)
    - CVE-2025-20053 (INTEL-SA-01313)
    - CVE-2025-24305 (INTEL-SA-01313)
    - CVE-2025-26403 (INTEL-SA-01367)
    - CVE-2025-32086 (INTEL-SA-01367)

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Tue, 28 Oct 2025 15:24:30 -0300

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for intel-microcode, dh version
# Copyright (C) 2011,2016 by Henrique de Moraes Holschuh
# Published under the GNU GPL license version 2 or any later versions

PACKAGE := intel-microcode
DEBDIR  := $(CURDIR)/debian
PKGDIR  := $(DEBDIR)/$(PACKAGE)

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export PATH := $(PATH):/sbin:/usr/sbin
IUCODE_TOOL := iucode_tool

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

ifneq (,$(filter amd64 x32,$(DEB_HOST_ARCH)))
IUCODE_FILE := intel-microcode-64.bin
FWDIR_TARGET := intel-ucode-fw64
else
IUCODE_FILE := intel-microcode.bin
FWDIR_TARGET := intel-ucode-fw
endif

# Work around Debian bug #688794
INITRAMFS_NAME := $(subst -,_,$(subst +,_,$(subst .,_,$(PACKAGE))))

%:
	dh $@

override_dh_auto_install:
	dh_testdir
	dh_install

	# split microcode pack
	$(MAKE) FWDIR="$(PKGDIR)/usr/lib/firmware/intel-ucode" $(FWDIR_TARGET)

	# apply best-effort blacklist
	if [ -r debian/ucode-blacklist.txt ] ; then \
		cat debian/ucode-blacklist.txt | while read -r fn crap ; do \
			if [ -r "$(PKGDIR)/usr/lib/firmware/intel-ucode/$${fn}" ] ; then \
				mv "$(PKGDIR)/usr/lib/firmware/intel-ucode/$${fn}" "$(PKGDIR)/usr/lib/firmware/intel-ucode/$${fn}.initramfs" ;\
				echo "Renaming blacklisted microcode $${fn}" ; \
			fi ; \
		done ; \
	fi

	mkdir -p "$(PKGDIR)/usr/share/initramfs-tools/hooks"
	install -m 755 "$(DEBDIR)/initramfs.hook" \
		"$(PKGDIR)/usr/share/initramfs-tools/hooks/$(INITRAMFS_NAME)"
	mkdir -p "$(PKGDIR)/etc/kernel/preinst.d"
	install -m 755 "$(DEBDIR)/$(PACKAGE).kpreinst" \
		"$(PKGDIR)/etc/kernel/preinst.d/$(PACKAGE)"

	# We have a /etc/default file, but no initscript
	install -m 644 "$(DEBDIR)/$(PACKAGE).default" "$(PKGDIR)/etc/default/$(PACKAGE)"

	# modprobe.d blacklist
	install -m 644 "$(DEBDIR)/$(PACKAGE).modprobe-blacklist" "$(PKGDIR)/etc/modprobe.d/$(PACKAGE)-blacklist.conf"

override_dh_installchangelogs:
	dh_installchangelogs changelog

## intel-microcode 3.20250812.1~deb9u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * Rebuild for stretch.

 -- Tobias Frost <tobi@debian.org>  Tue, 28 Oct 2025 20:35:01 +0100

intel-microcode (3.20250812.1~deb12u1) bookworm-security; urgency=medium

  * Backport to bookworm-security
  * debian/rules: revert use of /usr/lib/firmware for deb12

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Oct 2025 17:20:18 -0300

intel-microcode (3.20250812.1) unstable; urgency=medium

  [ Henrique de Moraes Holschuh ]
  * New upstream microcode datafile 20250812 (closes: #1110983, #1112168)
    - Mitgations for INTEL-SA-01249 (processor Stream Cache):
      CVE-2025-20109: Improper Isolation or Compartmentalization in the
      stream cache mechanism for some Intel Processors may allow an
      authenticated user to potentially enable escalation of privilege via
      local access.  Intel also disclosed that several processors models
      had already received this mitigation on the previous microcode
      release, 20250512.
    - Mitigations for INTEL-SA-01308:
      CVE-2025-22840: Sequence of processor instructions leads to
      unexpected behavior for some Intel Xeon 6 Scalable processors may
      allow an authenticated user to potentially enable escalation of
      privilege via local access.
    - Mitigations for INTEL-SA-01310 (OOBM services module):
      CVE-2025-22839: Insufficient granularity of access control in the
      OOB-MSM for some Intel Xeon 6 Scalable processors may allow a
      privileged user to potentially enable escalation of privilege via
      adjacent access.
    - Mitigations for INTEL-SA-01311 (Intel TDX):
      CVE-2025-22889: Improper handling of overlap between protected
      memory ranges for some Intel Xeon 6 processors with Intel TDX may
      allow a privileged user to potentially enable escalation of
      privilege via local access.
    - Mitigations for INTEL-SA-01313:
      CVE-2025-20053: Improper buffer restrictions for some Intel Xeon
      Processor firmware with SGX enabled may allow a privileged user to
      potentially enable escalation of privilege via local access.
      CVE-2025-21090: Missing reference to active allocated resource for
      some Intel Xeon processors may allow an authenticated user to
      potentially enable denial of service via local access.
      CVE-2025-24305: Insufficient control flow management in the Alias
      Checking Trusted Module (ACTM) firmware for some Intel Xeon
      processors may allow a privileged user to potentially enable
      escalation of privilege via local access.
    - Mitigations for INTEL-SA-01367 (Intel SGX, TDX):
      CVE-2025-26403: Out-of-bounds write in the memory subsystem for some
      Intel Xeon 6 processors when using Intel SGX or Intel TDX may allow
      a privileged user to potentially enable escalation of privilege via
      local access.
      CVE-2025-32086: Improperly implemented security check for standard
      in the DDRIO configuration for some Intel Xeon 6 Processors when
      using Intel SGX or Intel TDX may allow a privileged user to
      potentially enable escalation of privilege via local access.
    - Fixes for unspecified functional issues on several Intel Core and
      Intel Xeon processor models.
  * Updated microcodes:
    sig 0x000606a6, pf_mask 0x87, 2025-03-11, rev 0xd000410, size 309248
    sig 0x000606c1, pf_mask 0x10, 2025-03-06, rev 0x10002e0, size 301056
    sig 0x000806f8, pf_mask 0x87, 2025-04-04, rev 0x2b000643, size 592896
    sig 0x000806f7, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f6, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f5, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f4, pf_mask 0x87, 2025-04-04, rev 0x2b000643
    sig 0x000806f8, pf_mask 0x10, 2025-04-08, rev 0x2c000401, size 625664
    sig 0x000806f6, pf_mask 0x10, 2025-04-08, rev 0x2c000401
    sig 0x000806f5, pf_mask 0x10, 2025-04-08, rev 0x2c000401
    sig 0x000806f4, pf_mask 0x10, 2025-04-08, rev 0x2c000401
    sig 0x000a06a4, pf_mask 0xe6, 2025-03-19, rev 0x0025, size 140288
    sig 0x000a06d1, pf_mask 0x95, 2025-05-15, rev 0x10003d0, size 1667072
    sig 0x000a06d1, pf_mask 0x20, 2025-05-15, rev 0xa000100, size 1638400
    sig 0x000a06f3, pf_mask 0x01, 2025-05-03, rev 0x3000362, size 1530880
    sig 0x000b06a2, pf_mask 0xe0, 2025-02-24, rev 0x4129, size 224256
    sig 0x000b06a3, pf_mask 0xe0, 2025-02-24, rev 0x4129
    sig 0x000b06a8, pf_mask 0xe0, 2025-02-24, rev 0x4129
    sig 0x000b06d1, pf_mask 0x80, 2025-05-21, rev 0x0123, size 80896
    sig 0x000c0662, pf_mask 0x82, 2025-05-14, rev 0x0119, size 90112
    sig 0x000c06a2, pf_mask 0x82, 2025-05-14, rev 0x0119
    sig 0x000c0652, pf_mask 0x82, 2025-05-14, rev 0x0119
    sig 0x000c0664, pf_mask 0x82, 2025-05-14, rev 0x0119
    sig 0x000c06f2, pf_mask 0x87, 2025-04-15, rev 0x210002b3, size 564224
    sig 0x000c06f1, pf_mask 0x87, 2025-04-15, rev 0x210002b3
  * update entry for 3.20250512.1 with new information
  * source: update symlinks to reflect id of the latest release, 20250812

  [ Ben Hutchings ]
  * debian/tests/initramfs: Update to work with forky's initramfs-tools.
    In version 0.149 of initramfs-tools, unmkinitramfs was changed to no
    longer create early/ and main/ subdirectories.  Update the microcode
    file check to work with both old and new behaviours.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 13 Sep 2025 18:30:55 -0300

## intel-microcode 3.20250812.1~deb10u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * Rebuild for buster.

 -- Tobias Frost <tobi@debian.org>  Tue, 28 Oct 2025 20:29:53 +0100

## intel-microcode 3.20250812.1~deb11u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Rebuild for bullseye.

 -- Tobias Frost <tobi@debian.org>  Sat, 25 Oct 2025 17:43:03 +0200

## intel-microcode 3.20250812.1~deb13u1

=== debian/changelog ===
intel-microcode (3.20250812.1~deb13u1) trixie-security; urgency=medium

  * Security upload, no changes.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Oct 2025 15:41:39 -0300

## intel-microcode 3.20250812.1

=== debian/tests/control ===
Tests: initramfs
Architecture: amd64
Depends:
 @,
 linux-image-amd64,
 initramfs-tools,
Restrictions: needs-root, allow-stderr, superficial

## intel-microcode 3.20250812.1ubuntu1

=== debian/changelog ===
intel-microcode (3.20250812.1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Mon, 27 Oct 2025 19:32:19 -0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: intel-microcode
 Architecture: i386 amd64 x32
 Depends: ${misc:Depends}, iucode-tool (>= 1.0)
-Recommends: initramfs-tools (>= 0.113~)
+Recommends: initramfs-tools (>= 0.113~) | dracut (>= 044) | tiny-initramfs
 Conflicts: microcode.ctl (<< 0.18~0)
 Description: Processor microcode firmware for Intel CPUs
  This package contains updated system processor microcode for

=== debian/tests/control ===
Tests: initramfs
Architecture: amd64
Depends:
 @,
 linux-image-amd64 | linux-image-generic,
 initramfs-tools,
Restrictions: needs-root, allow-stderr, superficial

## intel-microcode 3.20251111.1~deb12u1

=== debian/changelog ===
intel-microcode (3.20251111.1~deb12u1) bookworm; urgency=medium

  * Backport to bookworm
  * debian/rules: revert use of /usr/lib/firmware for deb12

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 22 Nov 2025 22:51:21 -0300

intel-microcode (3.20251111.1) unstable; urgency=high

  * New upstream microcode datafile 20251111 (closes: #1120589)
    - Fixes for unspecified functional issues on several Intel, Intel
      Core and Intel Xeon processor models.
    - Fixes errata RPL070/ADL083/LNL047/ALR054/SPR154/EMR147:
      REP SCASB, REP CMPSB may return incorrect results when racing
      memory access with another core or thread, on Raptor Lake, Arrow
      Lake, Lunar Lake, 4th/5th gen Xeon Scalable and maybe other
      processor models
  * New microcodes:
    + sig 0x000a06e1, pf_mask 0x97, 2025-06-27, rev 0x1000273, size 1635328
  * Updated microcodes:
    + sig 0x000806f8, pf_mask 0x87, 2025-05-29, rev 0x2b000650, size 593920
    + sig 0x000806f7, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f6, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f5, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f4, pf_mask 0x87, 2025-05-29, rev 0x2b000650
    + sig 0x000806f8, pf_mask 0x10, 2025-05-29, rev 0x2c000410, size 625664
    + sig 0x000806f6, pf_mask 0x10, 2025-05-29, rev 0x2c000410
    + sig 0x000806f5, pf_mask 0x10, 2025-05-29, rev 0x2c000410
    + sig 0x000806f4, pf_mask 0x10, 2025-05-29, rev 0x2c000410
    + sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003d, size 226304
    + sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003d
    + sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043a, size 224256
    + sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043a
    + sig 0x000906a4, pf_mask 0x40, 2025-06-13, rev 0x000b, size 119808
    + sig 0x000a06d1, pf_mask 0x95, 2025-07-23, rev 0x10003f0, size 1670144
    + sig 0x000a06d1, pf_mask 0x20, 2025-08-29, rev 0xa000124, size 1642496
    + sig 0x000a06f3, pf_mask 0x01, 2025-07-30, rev 0x3000382, size 1534976
    + sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0132, size 219136
    + sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0132
    + sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6133, size 224256
    + sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6133
    + sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6133
    + sig 0x000b06d1, pf_mask 0x80, 2025-08-28, rev 0x0125, size 80896
    + sig 0x000b06e0, pf_mask 0x19, 2025-05-16, rev 0x001e, size 139264
    + sig 0x000c0662, pf_mask 0x82, 2025-06-30, rev 0x011a, size 90112
    + sig 0x000c06a2, pf_mask 0x82, 2025-06-30, rev 0x011a
    + sig 0x000c0652, pf_mask 0x82, 2025-06-30, rev 0x011a
    + sig 0x000c0664, pf_mask 0x82, 2025-06-30, rev 0x011a
    + sig 0x000c06f2, pf_mask 0x87, 2025-05-29, rev 0x210002c0, size 564224
    + sig 0x000c06f1, pf_mask 0x87, 2025-05-29, rev 0x210002c0
  * source: update symlinks to reflect id of the latest release, 20251111

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 13 Nov 2025 12:48:02 -0300

## intel-microcode 3.20251111.1~deb13u1

=== debian/changelog ===
intel-microcode (3.20251111.1~deb13u1) trixie; urgency=medium

  * Upload to stable: no changes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 22 Nov 2025 22:41:35 -0300

## intel-microcode 3.20260210.0ubuntu0.22.04.1

=== debian/changelog ===
intel-microcode (3.20260210.0ubuntu0.22.04.1) jammy-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20260210
    - New microcodes:
      sig 0x000a06e1, pf_mask 0x97, 2025-11-03, rev 0x10002f3, size 1645568
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-08-19, rev 0xd000421, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-08-19, rev 0x10002f1, size 301056
      sig 0x000706e5, pf_mask 0x80, 2025-07-24, rev 0x00cc, size 115712
      sig 0x000806c1, pf_mask 0x80, 2025-07-24, rev 0x00be, size 112640
      sig 0x000806c2, pf_mask 0xc2, 2025-07-24, rev 0x003e, size 99328
      sig 0x000806d1, pf_mask 0xc2, 2025-07-24, rev 0x0058, size 105472
      sig 0x000806f4, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f4, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f5, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f5, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f6, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f6, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f7, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f8, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000906a4, pf_mask 0x40, 2025-07-10, rev 0x000c, size 119808
      sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000a0671, pf_mask 0x02, 2025-07-24, rev 0x0065, size 108544
      sig 0x000a06a4, pf_mask 0xe6, 2025-09-24, rev 0x0028, size 141312
      sig 0x000a06d1, pf_mask 0x20, 2025-10-09, rev 0xa000133, size 1643520
      sig 0x000a06d1, pf_mask 0x95, 2025-10-31, rev 0x1000405, size 1672192
      sig 0x000a06f3, pf_mask 0x01, 2025-07-30, rev 0x3000382, size 1534976
      sig 0x000b0650, pf_mask 0x80, 2025-09-25, rev 0x000d, size 137216
      sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-08-28, rev 0x0125, size 80896
      sig 0x000b06e0, pf_mask 0x19, 2025-09-12, rev 0x0021, size 142336
      sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000c0652, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0662, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0664, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06a2, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06f1, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
      sig 0x000c06f2, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
    - CVE-2025-31648 (INTEL-SA-01396)
  * source: update symlinks to reflect id of the latest release, 20260210
  * changelog: sync with debian 3.20260210.1 for content consistency

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 11:20:08 -0300

## intel-microcode 3.20260210.0ubuntu0.24.04.1

=== debian/changelog ===
intel-microcode (3.20260210.0ubuntu0.24.04.1) noble-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20260210
    - New microcodes:
      sig 0x000a06e1, pf_mask 0x97, 2025-11-03, rev 0x10002f3, size 1645568
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-08-19, rev 0xd000421, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-08-19, rev 0x10002f1, size 301056
      sig 0x000706e5, pf_mask 0x80, 2025-07-24, rev 0x00cc, size 115712
      sig 0x000806c1, pf_mask 0x80, 2025-07-24, rev 0x00be, size 112640
      sig 0x000806c2, pf_mask 0xc2, 2025-07-24, rev 0x003e, size 99328
      sig 0x000806d1, pf_mask 0xc2, 2025-07-24, rev 0x0058, size 105472
      sig 0x000806f4, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f4, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f5, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f5, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f6, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f6, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f7, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f8, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000906a4, pf_mask 0x40, 2025-07-10, rev 0x000c, size 119808
      sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000a0671, pf_mask 0x02, 2025-07-24, rev 0x0065, size 108544
      sig 0x000a06a4, pf_mask 0xe6, 2025-09-24, rev 0x0028, size 141312
      sig 0x000a06d1, pf_mask 0x20, 2025-10-09, rev 0xa000133, size 1643520
      sig 0x000a06d1, pf_mask 0x95, 2025-10-31, rev 0x1000405, size 1672192
      sig 0x000a06f3, pf_mask 0x01, 2025-07-30, rev 0x3000382, size 1534976
      sig 0x000b0650, pf_mask 0x80, 2025-09-25, rev 0x000d, size 137216
      sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-08-28, rev 0x0125, size 80896
      sig 0x000b06e0, pf_mask 0x19, 2025-09-12, rev 0x0021, size 142336
      sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000c0652, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0662, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0664, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06a2, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06f1, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
      sig 0x000c06f2, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
    - CVE-2025-31648 (INTEL-SA-01396)
  * source: update symlinks to reflect id of the latest release, 20260210
  * changelog: sync with debian 3.20260210.1 for content consistency

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 10:55:59 -0300

## intel-microcode 3.20260210.0ubuntu0.25.10.1

=== debian/changelog ===
intel-microcode (3.20260210.0ubuntu0.25.10.1) questing-security; urgency=medium

  * SECURITY UPDATE: New upstream microcode datafile 20260210
    - New microcodes:
      sig 0x000a06e1, pf_mask 0x97, 2025-11-03, rev 0x10002f3, size 1645568
    - Updated microcodes:
      sig 0x000606a6, pf_mask 0x87, 2025-08-19, rev 0xd000421, size 309248
      sig 0x000606c1, pf_mask 0x10, 2025-08-19, rev 0x10002f1, size 301056
      sig 0x000706e5, pf_mask 0x80, 2025-07-24, rev 0x00cc, size 115712
      sig 0x000806c1, pf_mask 0x80, 2025-07-24, rev 0x00be, size 112640
      sig 0x000806c2, pf_mask 0xc2, 2025-07-24, rev 0x003e, size 99328
      sig 0x000806d1, pf_mask 0xc2, 2025-07-24, rev 0x0058, size 105472
      sig 0x000806f4, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f4, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f5, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f5, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f6, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f6, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f7, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
      sig 0x000806f8, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
      sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000906a4, pf_mask 0x40, 2025-07-10, rev 0x000c, size 119808
      sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
      sig 0x000a0671, pf_mask 0x02, 2025-07-24, rev 0x0065, size 108544
      sig 0x000a06a4, pf_mask 0xe6, 2025-09-24, rev 0x0028, size 141312
      sig 0x000a06d1, pf_mask 0x20, 2025-10-09, rev 0xa000133, size 1643520
      sig 0x000a06d1, pf_mask 0x95, 2025-10-31, rev 0x1000405, size 1672192
      sig 0x000a06f3, pf_mask 0x01, 2025-07-30, rev 0x3000382, size 1534976
      sig 0x000b0650, pf_mask 0x80, 2025-09-25, rev 0x000d, size 137216
      sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
      sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
      sig 0x000b06d1, pf_mask 0x80, 2025-08-28, rev 0x0125, size 80896
      sig 0x000b06e0, pf_mask 0x19, 2025-09-12, rev 0x0021, size 142336
      sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
      sig 0x000c0652, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0662, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c0664, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06a2, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
      sig 0x000c06f1, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
      sig 0x000c06f2, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
    - CVE-2025-31648 (INTEL-SA-01396)
  * source: update symlinks to reflect id of the latest release, 20260210
  * changelog: sync with debian 3.20260210.1 for content consistency

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 11:02:57 -0300

## intel-microcode 3.20260210.1

=== debian/changelog ===
intel-microcode (3.20260210.1) unstable; urgency=medium

  * New upstream microcode datafile 20260210 (closes: #1127837)
    - Updated mitigations for INTEL-SA-01083 (CVE-2024-24853)
      Incorrect behavior order in transition between executive monitor and SMI
      transfer monitor (STM) in some Intel Processors may allow a privileged
      user to potentially enable escalation of privilege via local access.
    - Mitigations for INTEL-SA-01396 (CVE-2025-31648)
      Improper handling of values in the microcode flow for some Intel
      Processor Family may allow an escalation of privilege.  Startup code and
      SMM adversary with a privileged user combined with a high complexity
      attack may enable escalation of privilege via local access when attack
      requirements are present, with low impact to the confidentiality and
      integrity of the vulnerable system.
    - Fixes for undisclosed functional issues on several processors
  * Updated microcodes:
    + sig 0x000606a6, pf_mask 0x87, 2025-08-19, rev 0xd000421, size 309248
    + sig 0x000606c1, pf_mask 0x10, 2025-08-19, rev 0x10002f1, size 301056
    + sig 0x000706e5, pf_mask 0x80, 2025-07-24, rev 0x00cc, size 115712
    + sig 0x000806c1, pf_mask 0x80, 2025-07-24, rev 0x00be, size 112640
    + sig 0x000806c2, pf_mask 0xc2, 2025-07-24, rev 0x003e, size 99328
    + sig 0x000806d1, pf_mask 0xc2, 2025-07-24, rev 0x0058, size 105472
    + sig 0x000806f8, pf_mask 0x87, 2025-08-25, rev 0x2b000661, size 595968
    + sig 0x000806f7, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f6, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f5, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f4, pf_mask 0x87, 2025-08-25, rev 0x2b000661
    + sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421, size 626688
    + sig 0x000806f8, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x000806f6, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x000806f5, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x000806f4, pf_mask 0x10, 2025-08-25, rev 0x2c000421
    + sig 0x00090672, pf_mask 0x07, 2025-10-12, rev 0x003e, size 227328
    + sig 0x00090675, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f2, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f5, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f6, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000b06f7, pf_mask 0x07, 2025-10-12, rev 0x003e
    + sig 0x000906a3, pf_mask 0x80, 2025-10-12, rev 0x043b, size 225280
    + sig 0x000906a4, pf_mask 0x80, 2025-10-12, rev 0x043b
    + sig 0x000906a4, pf_mask 0x40, 2025-07-10, rev 0x000c, size 119808
    + sig 0x000a0671, pf_mask 0x02, 2025-07-24, rev 0x0065, size 108544
    + sig 0x000a06a4, pf_mask 0xe6, 2025-09-24, rev 0x0028, size 141312
    + sig 0x000a06d1, pf_mask 0x95, 2025-10-31, rev 0x1000405, size 1672192
    + sig 0x000a06d1, pf_mask 0x20, 2025-10-09, rev 0xa000133, size 1643520
    + sig 0x000a06e1, pf_mask 0x97, 2025-11-03, rev 0x10002f3, size 1645568
    + sig 0x000b0650, pf_mask 0x80, 2025-09-25, rev 0x000d, size 137216
    + sig 0x000b0671, pf_mask 0x32, 2025-10-08, rev 0x0133, size 219136
    + sig 0x000b0674, pf_mask 0x32, 2025-10-08, rev 0x0133
    + sig 0x000b06a2, pf_mask 0xe0, 2025-10-08, rev 0x6134, size 224256
    + sig 0x000b06a3, pf_mask 0xe0, 2025-10-08, rev 0x6134
    + sig 0x000b06a8, pf_mask 0xe0, 2025-10-08, rev 0x6134
    + sig 0x000b06e0, pf_mask 0x19, 2025-09-12, rev 0x0021, size 142336
    + sig 0x000c0662, pf_mask 0x82, 2025-08-03, rev 0x011b, size 91136
    + sig 0x000c06a2, pf_mask 0x82, 2025-08-03, rev 0x011b
    + sig 0x000c0652, pf_mask 0x82, 2025-08-03, rev 0x011b
    + sig 0x000c0664, pf_mask 0x82, 2025-08-03, rev 0x011b
    + sig 0x000c06f2, pf_mask 0x87, 2025-08-25, rev 0x210002d3, size 566272
    + sig 0x000c06f1, pf_mask 0x87, 2025-08-25, rev 0x210002d3

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 14 Feb 2026 09:13:55 -0300

## intel-microcode 3.20260210.1ubuntu1

=== debian/changelog ===
intel-microcode (3.20260210.1ubuntu1) resolute; urgency=medium

  * SECURITY UPDATE: Merge from Debian unstable; remaining changes:
    - debian/control: Add dracut and tiny-initramfs as alternative
      recommends
    - debian/tests/initramfs: update test for location of GenuineIntel.bin
      since in Ubuntu this lives under the cpio2 initramfs so test for
      its presence in any cpio
    - debian/tests/control: update generic kernel dep as an alternative to
      the original one from Debian
    - debian/tests/initramfs: invoke update-initramfs with -c to ensure an
      initrd is generated if one does not already exist so that the rest
      of the test can proceed as expected

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 27 Feb 2026 17:08:06 -0300
